package cd.casic.plugin.utils.dBUtils;

import lombok.Getter;

@Getter
public enum DBEnums {
    MYSQL("mysql"),
    SQLITE("sqlite");

    final String DBType;

    DBEnums(String DBType) {
        this.DBType = DBType;
    }

    public static DBEnums getEnumByString(String type){
        switch (type){
            case "mysql":
                return MYSQL;
            case "sqlite":
                return SQLITE;
            default:
                return null;
        }
    }
}
